scala.tools.partest.nest

# SBTRunner

#### object SBTRunner extends DirectRunner

Linear Supertypes
DirectRunner, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. SBTRunner
2. DirectRunner
3. AnyRef
4. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### case class CommandLineOptions (classpath: Option[String] = scala.None, tests: Map[String, Array[File]] = ..., scalacOptions: Seq[String] = ..., justFailedTests: Boolean = false) extends Product with Serializable

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### def denotesTestDir(arg: String): Boolean

   Definition Classes
     DirectRunner

9. #### def denotesTestFile(arg: String): Boolean

   Definition Classes
     DirectRunner

10. #### def denotesTestPath(arg: String): Boolean

    Definition Classes
      DirectRunner

11. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

12. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

13. #### val fileManager: FileManager { ... /* 2 definitions in type refinement */ }

    Definition Classes
      SBTRunner → DirectRunner

14. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

15. #### def fixResult(result: TestState): String

16. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

17. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

18. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

19. #### def main(args: Array[String]): Unit

20. #### def mainReflect(args: Array[String]): Map[String, String]

21. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

22. #### final def notify(): Unit

    Definition Classes
      AnyRef

23. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

24. #### def onlyValidTestPaths[T](args: List[T]): List[T]

    No duplicate, no empty directories, don't mess with this unless you like partest hangs.

    No duplicate, no empty directories, don't mess with this unless you like partest hangs.

    Definition Classes
      DirectRunner

25. #### def reflectiveRunTestsForFiles(kindFiles: Array[File], kind: String): Map[String, TestState]

26. #### def runTestsForFiles(_kindFiles: List[File], kind: String): Map[String, TestState]

    Definition Classes
      DirectRunner

27. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

28. #### def toString(): String

    Definition Classes
      AnyRef → Any

29. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

30. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from DirectRunner

### Inherited from AnyRef

### Inherited from Any

### Ungrouped